libzypp 17.37.10

zypp::json::Null Class Reference

`#include <zypp-core/parser/json/JsonNull.h>`

## Public Member Functions
| Null ()=default
| Null (std::nullptr_t)
| ~Null ()=default
| Null (const Null &)=default
| Null (Null &&)=default
Null & | operator= (const Null &)=default
Null & | operator= (Null &&)=default
std::string | asJSON () const
| JSON representation.
std::ostream & | dumpOn (std::ostream &str) const
| Stream output.
bool | operator== (const Null &) const

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const Null &obj)
| Stream output.

## Detailed Description

Definition at line 19 of file JsonNull.h.

## Constructor & Destructor Documentation

## ◆ Null() [1/4]

zypp::json::Null::Null | ( |  | ) |
| default

## ◆ Null() [2/4]

zypp::json::Null::Null | ( | std::nullptr_t |  | ) |
| inline

Definition at line 23 of file JsonNull.h.

## ◆ ~Null()

zypp::json::Null::~Null | ( |  | ) |
| default

## ◆ Null() [3/4]

zypp::json::Null::Null | ( | const Null & |  | ) |
| default

## ◆ Null() [4/4]

zypp::json::Null::Null | ( | Null && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

Null & zypp::json::Null::operator= | ( | const Null & |  | ) |
| default

## ◆ operator=() [2/2]

Null & zypp::json::Null::operator= | ( | Null && |  | ) |
| default

## ◆ asJSON()

std::string zypp::json::Null::asJSON | ( |  | ) | const
| inline

JSON representation.

Definition at line 33 of file JsonNull.h.

## ◆ dumpOn()

std::ostream & zypp::json::Null::dumpOn | ( | std::ostream & | str | ) | const
| inline

Stream output.

Definition at line 37 of file JsonNull.h.

## ◆ operator==()

bool zypp::json::Null::operator== | ( | const Null & |  | ) | const
| inline

Definition at line 41 of file JsonNull.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const Null & | obj )
| related

Stream output.

Definition at line 46 of file JsonNull.h.

The documentation for this class was generated from the following file:

- zypp-core/parser/json/JsonNull.h